Get Sessions/Rx's

Retrieve sessions for a user. Completed sessions will include dispensed prescriptions if applicable.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

SUMMARY

This endpoint will return a paginated record of a user's sessions in reverse chronological order, along with any information they contain like keys, status, or dispensed prescriptions (if applicable). Use this endpoint to check information on a user as well as fetch their prior session/test information.

If a valid session_key is provided, it will return an individual record with the user's session status.

If requesting using a session_key, and the session requested has the approved status, a data field object will be provided with the same dispensed_prescriptions key and object found in Session Completed.

SESSION STATUS TYPES

  • created: The session was created but has not been started by the user.
  • started: The user has started the exam but not finished it.
  • awaiting_checkout: The user has completed the exam but has not yet completed submitting the remaining information necessary for checkout.
  • awaiting_confirmation: The user has completed their exam and the exam is awaiting prior prescription from the patient and/or in our patient support queue.
  • awaiting_review: The user has completed their exam and submitted the necessary information. The exam is awaiting review by our doctor team.
  • approved: The prescription is approved and dispensed. Will contain a dispensed_prescription object with Rx details.
  • referred: Prescriptions were unable to be dispensed.
  • retake_requested: Our team has requested that the patient retake the vision test due to an issue with their information or result.
  • cancelled: The session was cancelled by the partner.

JSON

{
  "meta": {
    "page": 1,
    "per_page": 30,
    "total_count": 2,
    "total_pages": 1
  },
  "data": [
    {
      "user_key": "user1",
      "session_key": "session2",
      "status": "started",
      "created_at": "2017-04-17T15:44:07Z"
    },
    {
      "user_key": "user1",
      "session_key": "session1",
      "status": "completed",
      "created_at": "2017-04-16T16:44:07Z"
    }
  ]
}
Query Params
string
required

The unique identifier for the user

string

The unique identifier for the user's session. Will default to all sessions if not included.

number

The default page of results to return. Will default to the most recent sessions.

Responses

400

Invalid request

401

Authentication required

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json